import { API_ACCESS_TOKEN_COOKIE_NAME, API_REFRESH_TOKEN_COOKIE_NAME } from "#lib/constants.js";
import {faker} from "@faker-js/faker";

describe('Benutzer Logout', () => {
	// Wir generieren uns einen zufälligen Nutzer
	const email = "user@ib-cornelsen.de"
	const password = "passwort"

	it("meldet einen Nutzer an und leitet auf die Startseite weiter", () => {
		cy.visit("/auth/login")

		cy.wait(1000)

		cy.get('input[name="email"]').type(email)
		cy.get('input[name="passwort"]').type(password)

		cy.get('button[type="submit"]').click()

		cy.url().should("include", "/dashboard")

		// Wir sollten nun einen Access Token und Refresh Token in unseren Cookies sehen.
		cy.getCookie(API_ACCESS_TOKEN_COOKIE_NAME).should("exist")
		cy.getCookie(API_REFRESH_TOKEN_COOKIE_NAME).should("exist")
	})

	it("meldet einen Nutzer ab und leitet auf die Login Seite weiter", () => {
		cy.visit("/auth/logout")

		cy.url().should("include", "/")
	})
})